import Head from 'next/head'
import Image from 'next/image'
import styles from '../styles/Home.module.css'
import Matrix from '../components/Matrix'
import Herotitle from '../components/Herotitle'
import { ScrollMenu, VisibilityContext } from 'react-horizontal-scrolling-menu';
import { useContext, useEffect, useState } from 'react';
import { TypeAnimation } from 'react-type-animation';

export default function Home() {

	useEffect(() => {
		;
	}, []);

	return (
		<div className={styles.container}>
			<Head>
				<title>[Project-Name-Here]</title>
				<meta name="description" content="The [Project-Name-Here] Landing page, the only hackerspace with a variable name." />
				<link rel="icon" href="/favicon.ico" />
			</Head>

			<main className={styles.scrollingWrapperFlexbox}>
				<div className='card'>
					<Matrix height={"100%"} width={"100vw"} />
					<Herotitle text={"[Project-Name-Here]"}></Herotitle>
				</div>
				{/*<div>
					<center>
						<TypeAnimation
							sequence={[
								1000,
								'Who are we?', //
								() => {
									console.log('Done typing!'); // Place optional callbacks anywhere in the array
								}
							]}
							wrapper="div"
							cursor={true}
							repeat={0}
							style={{ fontFamily: "silkscreen", fontSize: "larger" }}
							className="typeHeader"
						/>
					</center>
						</div>*/}
			</main>
		</div>
	)
}
